import { IPublicModelActiveTracker, IPublicModelNode, IPublicTypeActiveTarget } from '@gant-lowcode/lowcode-types';
import { IActiveTracker as InnerActiveTracker } from '@gant-lowcode/lowcode-designer';
declare const activeTrackerSymbol: unique symbol;
export declare class ActiveTracker implements IPublicModelActiveTracker {
    private readonly [activeTrackerSymbol];
    constructor(innerTracker: InnerActiveTracker);
    get target(): {
        node: IPublicModelNode;
        detail: any;
        instance: any;
    };
    onChange(fn: (target: IPublicTypeActiveTarget) => void): () => void;
    track(node: IPublicModelNode): void;
}
export {};
