import { editorViewSymbol, pluginContextSymbol } from '../symbols';
import { IPublicModelPluginContext } from '@gant-lowcode/lowcode-types';
import { IViewContext } from '@gant-lowcode/lowcode-workspace';
export declare class EditorView {
    [editorViewSymbol]: IViewContext;
    [pluginContextSymbol]: IPublicModelPluginContext;
    constructor(editorView: IViewContext);
    toProxy(): this;
    get viewName(): string;
    get viewType(): "webview" | "editor";
}
